package com.ejie.ad74a.ws.client.prestadorWS.operaciones;

import javax.xml.datatype.DatatypeConfigurationException;

import com.ejie.ad74a.model.DocumentosInfSocial;
import com.ejie.ad74a.model.Solicitantes;
import com.ejie.ad74a.ws.client.prestadorWS.data.DatosDomicilioType;
import com.ejie.ad74a.ws.client.prestadorWS.service.ParseUtils;

public class OpCambioDomicilio extends OpComunes {

	public static DatosDomicilioType getDatosDomicilioType(Solicitantes solicitante, DocumentosInfSocial informeSocial)
			throws DatatypeConfigurationException {
		DatosDomicilioType datosDomicilioType = new DatosDomicilioType();
		// direccion
		datosDomicilioType.setDireccion(ParseUtils.direcciones2DireccionType(solicitante.getDirecciones()));
		// telefonoServicio
		datosDomicilioType.setTelefonoServicio(solicitante.getTlfnoServicio01());
		// pisoTutelado
		datosDomicilioType
				.setPisoTutelado(ParseUtils.parseInt2BinarioEnum(solicitante.getPerfiles().getPisoTutelado07()));
		// informeSocial
		datosDomicilioType.setInformeSocial(rellenarDatosInformeSocialType(informeSocial));

		return datosDomicilioType;
	}
}
